load('/model/compras/DemandaDeCompra.js');
var demandaDeCompra = new DemandaDeCompra();

try{

    demandaDeCompra.arredondarEmbalagemPorFornecedor(message);
    demandaDeCompra.mapper.commit();

}catch(err){
    println(err);
	demandaDeCompra.mapper.rollback();

	if(err.code)
	  throw JSON.stringify(err);
	else
		throw err;
}